Package org.apache.log4j.chainsaw

## Class ChainsawColumns

- java.lang.Object
- - org.apache.log4j.chainsaw.ChainsawColumns

-     public class ChainsawColumns
      extends Object

  Author:
    Paul Smith <psmith@apache.org>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Cursor` | `CURSOR_FOCUS_ON` |
    `static int` | `INDEX_CLASS_COL_NAME` |
    `static int` | `INDEX_FILE_COL_NAME` |
    `static int` | `INDEX_ID_COL_NAME` |
    `static int` | `INDEX_LEVEL_COL_NAME` |
    `static int` | `INDEX_LINE_COL_NAME` |
    `static int` | `INDEX_LOG4J_MARKER_COL_NAME` |
    `static int` | `INDEX_LOGGER_COL_NAME` |
    `static int` | `INDEX_MESSAGE_COL_NAME` |
    `static int` | `INDEX_METHOD_COL_NAME` |
    `static int` | `INDEX_MILLIS_DELTA_COL_NAME` |
    `static int` | `INDEX_NDC_COL_NAME` |
    `static int` | `INDEX_THREAD_COL_NAME` |
    `static int` | `INDEX_THROWABLE_COL_NAME` |
    `static int` | `INDEX_TIMESTAMP_COL_NAME` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getColumnName​(int columnIndex)` | Given the index which matches one of the static constants in this class, returns the resolved Column name as a string label.
    `static List<String>` | `getColumnsNames()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDEX_LOGGER_COL_NAME

          public static final int INDEX_LOGGER_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_LOG4J_MARKER_COL_NAME

          public static final int INDEX_LOG4J_MARKER_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_TIMESTAMP_COL_NAME

          public static final int INDEX_TIMESTAMP_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_LEVEL_COL_NAME

          public static final int INDEX_LEVEL_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_THREAD_COL_NAME

          public static final int INDEX_THREAD_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_MESSAGE_COL_NAME

          public static final int INDEX_MESSAGE_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_NDC_COL_NAME

          public static final int INDEX_NDC_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_THROWABLE_COL_NAME

          public static final int INDEX_THROWABLE_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_CLASS_COL_NAME

          public static final int INDEX_CLASS_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_METHOD_COL_NAME

          public static final int INDEX_METHOD_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_FILE_COL_NAME

          public static final int INDEX_FILE_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_LINE_COL_NAME

          public static final int INDEX_LINE_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_MILLIS_DELTA_COL_NAME

          public static final int INDEX_MILLIS_DELTA_COL_NAME

      See Also:
        Constant Field Values

    - #### INDEX_ID_COL_NAME

          public static final int INDEX_ID_COL_NAME

      See Also:
        Constant Field Values

    - #### CURSOR_FOCUS_ON

          public static final Cursor CURSOR_FOCUS_ON

  - ### Method Detail

    - #### getColumnsNames

          public static List<String> getColumnsNames()

    - #### getColumnName

          public static String getColumnName​(int columnIndex)

      Given the index which matches one of the static constants in this class, returns the resolved Column name as a string label.
      Parameters:
        `columnIndex` - (note this is a 1 based collection)
      Returns:
        column name